GUIDE: Latest TMW on Ubuntu 7.10 32/64-bit

Ask for help regarding any technical issue or report any bug or OS independent issues.
Post Reply
User avatar
Art Intelligence
Peon
Peon
Posts: 2
Joined: 28 Mar 2008, 21:39
Location: Denmark
Contact:

GUIDE: Latest TMW on Ubuntu 7.10 32/64-bit

Post by Art Intelligence » 28 Mar 2008, 21:42

I wrote an installation guide for Ubuntu 7.10 64-bit (also work for 32-bit). Also contain how to install the music.

http://gaming.gwos.org/doku.php/guides: ... mana_world
User avatar
GonzoDark
Novice
Novice
Posts: 325
Joined: 21 Apr 2007, 10:27
Location: Denmark

Re: GUIDE: Latest TMW on Ubuntu 7.10 32/64-bit

Post by GonzoDark » 30 Mar 2008, 02:32

Nice guide - works for me.

// Gonzo_Dark
IchigoBlack (86) a.k.a GonzoDark (80) || HolyManaClan

Image
User avatar
Bjørn
TMW Adviser
TMW Adviser
Posts: 1430
Joined: 09 Dec 2004, 19:50
Location: North Rhine-Westphalia, Germany
Contact:

Re: GUIDE: Latest TMW on Ubuntu 7.10 32/64-bit

Post by Bjørn » 01 Apr 2008, 08:29

Nice guide indeed. Two remarks:

* You do not need to install liballegro4.2-dev or libexpat1-dev.
* tmwmusic 0.1 was released. :)

You may want to install tmwmusic using "install" commands, similar to how the Arch Linux package is built [1]. This is because the last release has the files and directories set to executable by accident.

[1] http://cvs.archlinux.org/cgi-bin/viewcv ... cvs-markup
User avatar
Art Intelligence
Peon
Peon
Posts: 2
Joined: 28 Mar 2008, 21:39
Location: Denmark
Contact:

Re: GUIDE: Latest TMW on Ubuntu 7.10 32/64-bit

Post by Art Intelligence » 02 Apr 2008, 09:25

ok, thanks. I'll make the changes when I get home from work.


Isn't liballegro4.2-dev and libexpat1-dev needed for compiling Guichan (last I checked), it is also in the light if people want to use guichan allegro and xml parser support for something else.
User avatar
Bjørn
TMW Adviser
TMW Adviser
Posts: 1430
Joined: 09 Dec 2004, 19:50
Location: North Rhine-Westphalia, Germany
Contact:

Re: GUIDE: Latest TMW on Ubuntu 7.10 32/64-bit

Post by Bjørn » 15 Apr 2008, 11:42

Art Intelligence wrote:ok, thanks. I'll make the changes when I get home from work.

Isn't liballegro4.2-dev and libexpat1-dev needed for compiling Guichan (last I checked), it is also in the light if people want to use guichan allegro and xml parser support for something else.
Alright, sure people may want Guichan with Allegro support , but the XML parser isn't needed for anything. On IRC somebody who recently tried the guide didn't know that "sudo checkinstall" does not install it but build a package. You may want to make a note of that and include the command to install the resulting package.
Eleuterio
Peon
Peon
Posts: 2
Joined: 02 May 2008, 01:44

Re: GUIDE: Latest TMW on Ubuntu 7.10 32/64-bit

Post by Eleuterio » 02 May 2008, 01:48

{NOTE: I apologize my poor english}

Hello Arts : nice work your gide !

I was a happy user of ubuntu 7.10 and tmw-0.23 over a old hardware , but from today 0.23 is rejected by the server... and the 0.24 binarie refuse run over Umbutu 7.10 (require glibc 2.7... and more).

I put all my illusions in your guide, but I download the 0.8.1 libguichan (becose you said "the last") and not 0.7.1.
Now, when I atempt to 'make' tmw I obtain the following error :

Code: Select all

test -f 'gui/buddywindow.cpp' || echo './'`gui/buddywindow.cpp
gui/windowlistener.h: In constructor ‘WindowEvent::WindowEvent(gcn::Window*, int)’:
gui/windowlistener.h:44: error: ‘mType’ no se declaró en este ámbito
gui/windowlistener.h: In member function ‘int WindowEvent::getType() const’:
gui/windowlistener.h:51: error: ‘mType’ no se declaró en este ámbito
make[2]: *** [tmw-buddywindow.o] Error 1
make[2]: se sale del directorio `/home/norberto/temp_downl/tmw-0.0.24.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: se sale del directorio `/home/norberto/temp_downl/tmw-0.0.24.1'
make: *** [all] Error 2
I don't understand what's happening . Is a consequence of the use of guichan 0.8.1?? If I build with the 0.7.1 version ??

What do yo think?

I need help

TIA

NOTE: Now i've the following guichan librarys:

Code: Select all

libguichan.so.0.0.0
libguichan.so.0
libguichan.so
libguichan_sdl.so.0.0.0
libguichan_sdl.so.0
libguichan_sdl.so
libguichan_sdl.la
libguichan_sdl.a
libguichan_sdl-0.8.1.so.1.0.0
libguichan_sdl-0.8.1.so.1
libguichan_opengl.so.0.0.0
libguichan_opengl.so.0
libguichan_opengl.so
libguichan_opengl.la
libguichan_opengl.a
libguichan_opengl-0.8.1.so.1.0.0
libguichan_opengl-0.8.1.so.1
libguichan.la
libguichan_allegro.so.0.0.0
libguichan_allegro.la
libguichan_allegro.a
libguichan_allegro-0.8.1.so.1.0.0
libguichan_allegro-0.8.1.so.1
libguichan.a
libguichan-0.8.1.so.1.0.0
libguichan-0.8.1.so.1
Eleuterio
Peon
Peon
Posts: 2
Joined: 02 May 2008, 01:44

Re: GUIDE: Latest TMW on Ubuntu 7.10 32/64-bit

Post by Eleuterio » 03 May 2008, 16:05

Good, the problem is solved now :
I move the 0.8 guichan library to another folder -> compile and install the libguichan 0.7.1 ->do a make clean and make distclean in the tmw src folder -> make and...... now all work fine
The new tmw client run over *ubuntu 7.10 !
Thankyou
User avatar
Bjørn
TMW Adviser
TMW Adviser
Posts: 1430
Joined: 09 Dec 2004, 19:50
Location: North Rhine-Westphalia, Germany
Contact:

Re: GUIDE: Latest TMW on Ubuntu 7.10 32/64-bit

Post by Bjørn » 08 May 2008, 08:48

Eleuterio, we stopped supporting the 0.0.23 release since there is no major platform left where users are without an opportunity to upgrade. Ubuntu Gutsy (7.10) was the main distribution still having 0.0.23. Now that Ubuntu Hardy (8.04) has been out for a while, it would be easiest just to upgrade to that. Hardy currently has the latest version of TMW, 0.0.24.1.
Post Reply